Unify and manage your data

Scan Lookup type blocked values using pagination

Learn how to scan tenant-level blocked values using pagination.

Use the Scan lookup type blocked values API to retrieve blocked values for a specific lookup type in a paginated format. Each response returns a set of results along with a scrollId, which you can use in subsequent requests to retrieve the next set of results. This approach enables efficient retrieval of large datasets without duplication or overlap.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

POST /configuration/{tenantId}/autopilot/{lookupType}/blockedValues/_dbscan?limit={limit}

The following table describes the endpoint path parameters.

ParameterTypeRequiredDescription
tenantIdStringYesTenant identifier
lookupTypeStringYesLookup type name

Query parameters

The following table describes the query parameters.

ParameterTypeRequiredDescriptionAccepted values / Default
limitIntegerNoPage size.Default: 100, max: 100

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer {token}Yes

Request body

Send the scrollId from the previous response in the request body.

For the first request, omit the request body or send null.

Response body

The following table describes the fields returned in the response body.

FieldTypeDescription
scrollIdStringIdentifier used to retrieve the next set of results in a scroll-based request.
valuesArrayList of blocked values returned in the current response.
tenantIdStringIdentifier of the tenant.
lookupTypeStringLookup type associated with the value.
valueStringThe blocked value.
createdAtNumberTimestamp when the value was created, in epoch milliseconds.
createdByStringIdentifier of the user who created the value.

Example Response

The following example shows a successful response.

{
    "scrollId": "eyJzIjoiMMKnQXV0b3BpbG90RGVtb0FXUy9TcGVjaWFsdHkvIyMjIyPCqTA6MToxIn0=",
    "values": [
        {
            "tenantId": "my_tenant",
            "lookupType": "Specialty",
            "value": "#####",
            "createdAt": 1777903276602,
            "createdBy": "my_user"
        }
    ]
}